<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>

<body>
    <br>
    {{ request.user.username }}
    <br>
    <br>
    <h1>In GET request in this view. CBV automatically create 16 new users with admin right to test Search View with records. </h1>
    <br>
    <br>
    <a href="{% url 'register' %}"><button>Create API User</button></a><br>
    <form action="{% url "home" %}" method="post">
        {{ form.as_p }}
        {% csrf_token %}
        <button>Create</button>
    </form>
</body>
</html>